#language: ru

Функционал: 12_oper_planning. Заполнение справочников Технологические операции и варианты наладок

Сценарий: 12_oper_planning. Создание операции Сепарация
	Дано Я подключаюсь под "Администратор"
	Дано Я открываю основную форму справочника "к2ТехнологическиеОперации"
	Когда открылось окно 'Технологическая операция (создание)'
	И в поле 'Наименование' я ввожу текст 'Сепарация'
	И в поле с именем 'ВремяВыполнения_мин' я ввожу текст '20,00'
	И я перехожу к закладке "Вспомогательные рабочие центры"
	И в таблице "ВспомогательныеРабочиеЦентры" я нажимаю на кнопку с именем 'ВспомогательныеРабочиеЦентрыДобавить'
	И в таблице "ВспомогательныеРабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''              |
		| 'Рабочий центр' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'              |
		| 'oper_planning_Танк сливок' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Технологическая операция (создание) *'
	И в таблице "ВспомогательныеРабочиеЦентры" я завершаю редактирование строки
	И в таблице "ВспомогательныеРабочиеЦентры" я нажимаю на кнопку с именем 'ВспомогательныеРабочиеЦентрыДобавить'
	И в таблице "ВспомогательныеРабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''              |
		| 'Рабочий центр' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'              |
		| 'oper_planning_Танк обрата' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Технологическая операция (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Технологическая операция (создание) *' в течение 20 секунд

Сценарий: 12_oper_planning. Создание операции Подача молока
	Дано Я открываю основную форму справочника "к2ТехнологическиеОперации"
	Когда открылось окно 'Технологическая операция (создание)'
	И в поле 'Наименование' я ввожу текст 'Подача молока'
	И в поле с именем 'ВремяВыполнения_мин' я ввожу текст '10,00'
	И я перехожу к закладке "Вспомогательные рабочие центры"
	И в таблице "ВспомогательныеРабочиеЦентры" я нажимаю на кнопку с именем 'ВспомогательныеРабочиеЦентрыДобавить'
	И в таблице "ВспомогательныеРабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''              |
		| 'Рабочий центр' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      |
		| 'oper_planning_ПАЦ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Технологическая операция (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Технологическая операция (создание) *' в течение 20 секунд

Сценарий: 12_oper_planning. Создание операции Подача обрата
	Дано Я открываю основную форму справочника "к2ТехнологическиеОперации"
	Когда открылось окно 'Технологическая операция (создание)'
	И в поле 'Наименование' я ввожу текст 'Подача обрата'
	И в поле с именем 'ВремяВыполнения_мин' я ввожу текст '10,00'
	И я перехожу к закладке "Вспомогательные рабочие центры"
	И в таблице "ВспомогательныеРабочиеЦентры" я нажимаю на кнопку с именем 'ВспомогательныеРабочиеЦентрыДобавить'
	И в таблице "ВспомогательныеРабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''              |
		| 'Рабочий центр' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'              |
		| 'oper_planning_Танк обрата' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Технологическая операция (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Технологическая операция (создание) *' в течение 20 секунд

Сценарий: 12_oper_planning. Создание операции Нормализация смешиванием
	Дано Я открываю основную форму справочника "к2ТехнологическиеОперации"
	Когда открылось окно 'Технологическая операция (создание)'
	И в поле 'Наименование' я ввожу текст 'Нормализация смешиванием'
	И в поле с именем 'ВремяВыполнения_мин' я ввожу текст '10,00'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Технологическая операция (создание) *' в течение 20 секунд

Сценарий: 12_oper_planning. Создание операции Подача смеси
	Дано Я открываю основную форму справочника "к2ТехнологическиеОперации"
	Когда открылось окно 'Технологическая операция (создание)'
	И в поле 'Наименование' я ввожу текст 'Подача смеси'
	И в поле с именем 'ВремяВыполнения_мин' я ввожу текст '10,00'
	И я перехожу к закладке "Вспомогательные рабочие центры"
	И в таблице "ВспомогательныеРабочиеЦентры" я нажимаю на кнопку с именем 'ВспомогательныеРабочиеЦентрыДобавить'
	И в таблице "ВспомогательныеРабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''              |
		| 'Рабочий центр' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'               |
		| 'oper_planning_Нормализация' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Технологическая операция (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Технологическая операция (создание) *' в течение 20 секунд

Сценарий: 12_oper_planning. Создание операции Варка
	Дано Я открываю основную форму справочника "к2ТехнологическиеОперации"
	Когда открылось окно 'Технологическая операция (создание)'
	И в поле 'Наименование' я ввожу текст 'Варка'
	И в поле с именем 'ВремяВыполнения_мин' я ввожу текст '30,00'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Технологическая операция (создание) *' в течение 20 секунд

Сценарий: 12_oper_planning. Создание операции Выгрузка в бассейн
	Дано Я открываю основную форму справочника "к2ТехнологическиеОперации"
	Когда открылось окно 'Технологическая операция (создание)'
	И в поле 'Наименование' я ввожу текст 'Выгрузка в бассейн'
	И в поле с именем 'ВремяВыполнения_мин' я ввожу текст '20,00'
	И я перехожу к закладке "Вспомогательные рабочие центры"
	И в таблице "ВспомогательныеРабочиеЦентры" я нажимаю на кнопку с именем 'ВспомогательныеРабочиеЦентрыДобавить'
	И в таблице "ВспомогательныеРабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''              |
		| 'Рабочий центр' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                      |
		| 'oper_planning_Сыроизготовитель №1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Технологическая операция (создание) *'
	И в таблице "ВспомогательныеРабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''              |
		| 'Рабочий центр' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                      |
		| 'oper_planning_Сыроизготовитель №2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Технологическая операция (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Технологическая операция (создание) *' в течение 20 секунд

Сценарий: 12_oper_planning. Создание операции Маркировка
	Дано Я открываю основную форму справочника "к2ТехнологическиеОперации"
	Когда открылось окно 'Технологическая операция (создание)'
	И в поле 'Наименование' я ввожу текст 'Маркировка'
	И в поле с именем 'ВремяВыполнения_мин' я ввожу текст '20,00'
	И я перехожу к закладке "Вспомогательные рабочие центры"
	И в таблице "ВспомогательныеРабочиеЦентры" я нажимаю на кнопку с именем 'ВспомогательныеРабочиеЦентрыДобавить'
	И в таблице "ВспомогательныеРабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''              |
		| 'Рабочий центр' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                      |
		| 'oper_planning_Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Технологическая операция (создание) *'
	И в таблице "ВспомогательныеРабочиеЦентры" я нажимаю на кнопку с именем 'ВспомогательныеРабочиеЦентрыДобавить'
	И в таблице "ВспомогательныеРабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''              |
		| 'Рабочий центр' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                      |
		| 'oper_planning_Камера созревания 2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Технологическая операция (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Технологическая операция (создание) *' в течение 20 секунд

Сценарий: 12_oper_planning. Создание операции Сыр 200 г наладка
	Дано Я открываю основную форму справочника "к2ТехнологическиеОперации"
	Когда открылось окно 'Технологическая операция (создание)'
	И в поле 'Наименование' я ввожу текст 'Сыр 200 г'
	И в поле с именем 'ВремяВыполнения_мин' я ввожу текст '9,00'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Технологическая операция (создание) *' в течение 20 секунд

Сценарий: 12_oper_planning. Создание операции Сыр 300 г наладка
	Дано Я открываю основную форму справочника "к2ТехнологическиеОперации"
	Когда открылось окно 'Технологическая операция (создание)'
	И в поле 'Наименование' я ввожу текст 'Сыр 300 г'
	И в поле с именем 'ВремяВыполнения_мин' я ввожу текст '9,00'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Технологическая операция (создание) *' в течение 20 секунд

Сценарий: 12_oper_planning. Создание операции Соление Российский 50%
	Дано Я открываю основную форму справочника "к2ТехнологическиеОперации"
	Когда открылось окно 'Технологическая операция (создание)'
	И в поле 'Наименование' я ввожу текст 'Соление Российский 50%'
	И в поле с именем 'ВремяВыполнения_мин' я ввожу текст '60,00'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Технологическая операция (создание) *' в течение 20 секунд

Сценарий: 12_oper_planning. Создание операции Соление Сливочный 45%
	Дано Я открываю основную форму справочника "к2ТехнологическиеОперации"
	Когда открылось окно 'Технологическая операция (создание)'
	И в поле 'Наименование' я ввожу текст 'Соление Сливочный 45%'
	И в поле с именем 'ВремяВыполнения_мин' я ввожу текст '60,00'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Технологическая операция (создание) *' в течение 20 секунд

Сценарий: 12_oper_planning. Создание операции Упаковка
	Дано Я открываю основную форму справочника "к2ТехнологическиеОперации"
	Тогда открылось окно 'Технологическая операция (создание)'
	И в поле 'Наименование' я ввожу текст 'Упаковка'
	И в поле с именем 'ВремяВыполнения_мин' я ввожу текст '60,00'
	И я перехожу к закладке "Вспомогательные рабочие центры"
	И в таблице "ВспомогательныеРабочиеЦентры" я нажимаю на кнопку с именем 'ВспомогательныеРабочиеЦентрыДобавить'
	И в таблице "ВспомогательныеРабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''              |
		| 'Рабочий центр' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                               |
		| 'oper_planning_Линия упаковки сыра в пакеты' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Технологическая операция (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Технологическая операция (создание) *' в течение 20 секунд

Сценарий: 12_oper_planning. Создание операции Созревание Российский 50%
	Дано Я открываю основную форму справочника "к2ТехнологическиеОперации"
	Тогда открылось окно 'Технологическая операция (создание)'
	И в поле 'Наименование' я ввожу текст 'Созревание Российский 50%'
	И в поле с именем 'ВремяВыполнения_мин' я ввожу текст '120,00'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Технологическая операция (создание) *' в течение 20 секунд

Сценарий: 12_oper_planning. Создание операции Созревание Сливочный 45%
	Дано Я открываю основную форму справочника "к2ТехнологическиеОперации"
	Тогда открылось окно 'Технологическая операция (создание)'
	И в поле 'Наименование' я ввожу текст 'Созревание Сливочный 45%'
	И в поле с именем 'ВремяВыполнения_мин' я ввожу текст '180,00'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Технологическая операция (создание) *' в течение 20 секунд

Сценарий: 12_oper_planning. Создание операции Резка 200 г
	Дано Я открываю основную форму справочника "к2ТехнологическиеОперации"
	Тогда открылось окно 'Технологическая операция (создание)'
	И в поле 'Наименование' я ввожу текст 'Резка 200 г'
	И в поле с именем 'ВремяВыполнения_мин' я ввожу текст '25,00'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Технологическая операция (создание) *' в течение 20 секунд

Сценарий: 12_oper_planning. Создание операции Резка 3200 г
	Дано Я открываю основную форму справочника "к2ТехнологическиеОперации"
	Тогда открылось окно 'Технологическая операция (создание)'
	И в поле 'Наименование' я ввожу текст 'Резка 300 г'
	И в поле с именем 'ВремяВыполнения_мин' я ввожу текст '30,00'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Технологическая операция (создание) *' в течение 20 секунд

Сценарий: 12_oper_planning. Создание наладки Сыр 200 г
	Дано Я открываю основную форму справочника "к2Планирование_ВариантыНаладок"
	Тогда открылось окно 'Вариант наладки (создание)'
	И в поле 'Наименование' я ввожу текст 'Сыр 200 г'
	И я нажимаю кнопку выбора у поля "Вид РЦ"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'             |
		| 'oper_planning_Маркировка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Вариант наладки (создание) *'
	И я нажимаю кнопку выбора у поля "ОперацияУстановки"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сыр 200 г'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Вариант наладки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вариант наладки (создание) *' в течение 20 секунд

Сценарий: 12_oper_planning. Создание наладки Сыр 300 г
	Дано Я открываю основную форму справочника "к2Планирование_ВариантыНаладок"
	Тогда открылось окно 'Вариант наладки (создание)'
	И в поле 'Наименование' я ввожу текст 'Сыр 300 г'
	И я нажимаю кнопку выбора у поля "Вид РЦ"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'             |
		| 'oper_planning_Маркировка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Вариант наладки (создание) *'
	И я нажимаю кнопку выбора у поля "ОперацияУстановки"
	Тогда открылось окно 'Технологические операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сыр 300 г'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Вариант наладки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вариант наладки (создание) *' в течение 20 секунд